package com.xhkjedu.sapi.mapper.system;

import com.xhkjedu.sapi.base.TkMapper;
import com.xhkjedu.sapi.model.system.TModule;
import com.xhkjedu.sapi.model.system.TModuledefault;
import com.xhkjedu.sapi.vo.system.ModuleSelVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ModuledefaultMapper extends TkMapper<TModuledefault> {
    //所有模块
    List<TModule> listModules(@Param("moduletype") Integer moduletype, @Param("display") Integer display);

    //首层模块
    List<ModuleSelVo> listLevelModule(@Param("moduletype") Integer moduletype);

    //获取学校id集合
    List<Integer> listSchoolId();

    //模块地址对应模块数量
    Integer countByUrl(String moduleurl, Integer moduletype);

    //更新学校模块信息
    void updateByDefaultId(String moduleid);

    List<TModule> getModuleIdByDefaultId(@Param("moduleid") String moduleid, @Param("schoolids") List<Integer> schoolids, @Param("moduletype") Integer moduletype);
}
